This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014668 - RHQDS XADataSource configuration contains empty Xa Datasource Class - leading to red error on page while viewing/editing
RHQDS XADataSource configuration contains empty Xa Datasource Class - leadin...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Configuration, UI (Show other bugs)
JON 3.2
x86_64 Linux
unspecified Severity high
: DR01
: JON 3.3.0
Assigned To: Libor Zoubek
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 09:59 EDT by Armine Hovsepyan
Modified: 2015-11-01 19:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 08:59:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
datsourceClassNameEmpty.png (223.51 KB, image/png)
2013-10-02 09:59 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-10-02 09:59:59 EDT
Created attachment 806500 [details]
datsourceClassNameEmpty.png

Description of problem:
RHQDS XADataSource configuration  contains empty Xa Datasource Class - leading to red error on page while viewing/editing

Version-Release number of selected component (if applicable):
jon 3.2 er2

How reproducible:
always

Steps to Reproduce:
1. navigate to EAP RHQ SERVER -> datasources -> XADataSource (Standalone)s -> RHQDS -> Configuration
2.
3.

Actual results:
"Xa Datasource Class" property is empty
The following red error message present on the top of the page "The following configuration properties have invalid values: [Xa Datasource Class]. The values must be corrected before the configuration can be saved."


Expected results:
"Xa Datasource Class" property is not empty, configuration page is visible without errors on page, configuration can be edited and saved.

Additional info:
screen-shot attached
Comment 1 Libor Zoubek 2014-07-08 07:38:10 EDT
was already in master

https://github.com/rhq-project/rhq/commit/08da3ddf20f1e1165d74106b8fe2faece7f5e2b8
Comment 2 Simeon Pinder 2014-07-31 11:52:03 EDT
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Note You need to log in before you can comment on or make changes to this bug.